package intrinsic.mx.rpc.soap;

public class SOAPEncoder extends intrinsic.mx.rpc.xml.XMLEncoder implements intrinsic.mx.rpc.soap.ISOAPEncoder {

	/** Accessors */
	public boolean ignoreWhitespace;
	public intrinsic.mx.rpc.wsdl.WSDLOperation wsdlOperation;
	public intrinsic.mx.rpc.soap.SOAPConstants soapConstants;
	public intrinsic.mx.rpc.xml.SchemaConstants schemaConstants;

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public SOAPEncoder() {
}


/** Static Methods */

/** Methods */
public native intrinsic.XMLList encode(Object arg0);
public native intrinsic.XMLList encode(Object arg0, intrinsic.QName arg1);
public native intrinsic.XMLList encode(Object arg0, intrinsic.QName arg1, intrinsic.QName arg2);
public native intrinsic.XMLList encode(Object arg0, intrinsic.QName arg1, intrinsic.QName arg2, intrinsic.XML arg3);
public native intrinsic.XML encodeRequest();
public native intrinsic.XML encodeRequest(Object arg0);
public native intrinsic.XML encodeRequest(Object arg0, intrinsic.Array arg1);
public native void encodeComplexRestriction(intrinsic.XML arg0, Object arg1, intrinsic.QName arg2, Object arg3);
public native void encodeType(intrinsic.QName arg0, Object arg1, intrinsic.QName arg2, Object arg3);
public native void encodeType(intrinsic.QName arg0, Object arg1, intrinsic.QName arg2, Object arg3, intrinsic.XML arg4);
public native Object marshallBuiltInType(intrinsic.QName arg0, Object arg1, intrinsic.QName arg2, Object arg3);
public native Object marshallBuiltInType(intrinsic.QName arg0, Object arg1, intrinsic.QName arg2, Object arg3, intrinsic.XML arg4);

}
